Subject: Re: bug#14448: Wrong indentation in comment lines for F90 mode?

From: Angelo Graziosi <[email-masked]>
Date: Thu, 23 May 2013 22:00:13 +0200

Il 23/05/2013 19.04, Glenn Morris ha scritto:
> Angelo Graziosi wrote:
>
>> Start Emacs with
>>
>> $ emacs -Q &
>>
>> then "C-x C-f foo.f90". Now type "!" to start a comment line and then
>> type M-j to produce other comment lines. The result is as follow:
>>
>>
>> !
>>    !
>
> You reported this before.
> http://debbugs.gnu.org/cgi/bugreport.cgi?bug=5595
>
> As I said then:
>
>    I don't understand what comment-indent-new-line is supposed to do, nor
>    which variables modes should set to make it work correctly.
>

Oh, sorry for the noise then... :(

Any way, all my observations I did in that thread are still alive...

Stefan, have you some comment? In that thread you wrote:

> comment-indent-new-line is written with a "traditional" free text style
> of languages and comments, so I'm not surprised it doesn't work 100%

F90 is a "free text style of languages and comments" like C++, so one 
doesn't understand why its comments behaves differently...

> right under languages such as Fortran.
> It's a nasty function, but I've spent a fair bit of time in it (years
> ago), so I should be able to track down the problem.
     ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

(WoW! I didn't remember that... :-) )

Ciao,
  Angelo.